/*
 * Copyright (C) 1999 Arthur Jerijian
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files
 * (the "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to permit
 * persons to whom the Software is furnished to do so, subject to the following
 * conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * In addition, permission is hereby granted, free of charge, to any person
 * obtaining a copy of the software, to deal in the Software according to the
 * terms outlined in the GNU General Public License (the "GPL") in lieu of the
 * licensing terms stated in the above permission notice.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE COPYRIGHT HOLDER(S) OF THE SOFTWARE BE LIABLE FOR
 * ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE
 * OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#ifndef __MAGICAPTURE_COMMON_H__
#define __MAGICAPTURE_COMMON_H__

/* Standard headers */

#include <magick/magick.h>
#include <magick/xwindows.h>
#include <gdk/gdk.h>
#include <gdk_imlib.h>
#include <gtk/gtk.h>

/* Types */

typedef enum _capture_type
{
    SINGLE_WINDOW,
    SINGLE_WINDOW_DECOR,
    FULL_SCREEN
} capture_type;

/* Constants */

#define _SUCCESS 1
#define _FAIL 0
#define MAX_FILENAME 1024

/* Defaults */

#define DEFAULT_TYPE SINGLE_WINDOW
#define DEFAULT_SHOW 1
#define DEFAULT_DELAY 3
#define DEFAULT_DELAY_STR "3"

#endif /* __MAGICAPTURE_COMMON_H__ */
