/*
 * Copyright (C) 1999 Arthur Jerijian
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files
 * (the "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to permit
 * persons to whom the Software is furnished to do so, subject to the following
 * conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * In addition, permission is hereby granted, free of charge, to any person
 * obtaining a copy of the software, to deal in the Software according to the
 * terms outlined in the GNU General Public License (the "GPL") in lieu of the
 * licensing terms stated in the above permission notice.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE COPYRIGHT HOLDER(S) OF THE SOFTWARE BE LIABLE FOR
 * ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE
 * OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#ifndef __MAGICAPTURE_PANEL_H__
#define __MAGICAPTURE_PANEL_H__

/* Constants */

#define DELAY_TEXTBOX_SIZE 3

/* Function declarations */

void add_button
(
    GtkWidget *box,
    GtkSignalFunc button_func,
    const gchar *button_text
);
GSList *add_radio
(
    GtkWidget *box,
    GSList *group,
    GtkSignalFunc radio_func,
    gint active,
    const gchar *radio_text
);
void add_separator (GtkWidget *box);
void add_label (GtkWidget *box, const gchar *label_text);
void add_delay (GtkWidget *box);

GtkWidget *create_main_panel ();

void radio_single_func (GtkWidget *widget, gpointer data);
void radio_single_decor_func (GtkWidget *widget, gpointer data);
void radio_full_func (GtkWidget *widget, gpointer data);
void radio_show_func (GtkWidget *widget, gpointer data);
void radio_hide_func (GtkWidget *widget, gpointer data);

void button_options_func (GtkWidget *widget, gpointer data);
void button_capture_func (GtkWidget *widget, gpointer data);
void button_saveas_func (GtkWidget *widget, gpointer data);
void button_quit_func (GtkWidget *widget, gpointer data);

void delay_func (GtkWidget *widget, gpointer data);

#endif /* __MAGICAPTURE_PANEL_H__ */

