/*
 * Copyright (C) 1999 Arthur Jerijian
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files
 * (the "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to permit
 * persons to whom the Software is furnished to do so, subject to the following
 * conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * In addition, permission is hereby granted, free of charge, to any person
 * obtaining a copy of the software, to deal in the Software according to the
 * terms outlined in the GNU General Public License (the "GPL") in lieu of the
 * licensing terms stated in the above permission notice.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE COPYRIGHT HOLDER(S) OF THE SOFTWARE BE LIABLE FOR
 * ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE
 * OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#ifndef __MAGICAPTURE_STRINGTABLE_H__
#define __MAGICAPTURE_STRINGTABLE_H__

/*
 * TODO: We want to use gettext to localize these strings.
 * Perhaps we can start with catalogs for en, es, and de.
 */

/* Window titles */

#define TITLE_PANEL "MagiCapture Panel"
#define TITLE_CAPTURE_WINDOW "Screen Capture"
#define TITLE_SAVE_WINDOW "Save Screen Capture"
#define TITLE_ERROR "MagiCapture Error"

/* Fixed text labels */

#define LABEL_CAPTURE "Capture:"
#define LABEL_DELAY "Delay:"
#define LABEL_VIEW "View:"
#define LABEL_SECONDS " seconds"

/* Button labels */

#define LABEL_SINGLE_WINDOW "Single Window"
#define LABEL_SINGLE_WINDOW_DECOR "Single Window\nwith Decorations"
#define LABEL_FULL_SCREEN "Full Screen"
#define LABEL_SHOW_CAPTURE "Show Capture"
#define LABEL_HIDE_CAPTURE "Hide Capture"
#define LABEL_CAPTURE_DO "Capture!"
#define LABEL_OPTIONS "Options..."
#define LABEL_SAVEAS "Save As..."
#define LABEL_QUIT "Quit"

/* Error messages */
/* TODO: Separate informational messages from error messages. */

#define ERROR_IMLIB_VISUAL \
    "FATAL ERROR: Unable to retrieve the Imlib visual!"
#define ERROR_IMLIB_COLORMAP \
    "FATAL ERROR: Unable to retrieve the Imlib colormap!"
#define ERROR_MAGICK_IMAGE \
    "ERROR: Screen capture failed!"
#define ERROR_MAGICK_IMAGE_SAVE \
    "There is no screen capture to save."
#define ERROR_NOT_IMPLEMENTED \
    "This function is not yet implemented."

/*
 * TODO: When this error occurs, let the user know that they may still
 * save the image to a file.
 */
#define ERROR_SAVE_TEMP \
    "ERROR: Unable to save the captured image to a temporary file!"

#define ERROR_CAPTURE_IMAGE \
    "ERROR: Unable to load the captured image!"
#define ERROR_CAPTURE_WINDOW \
    "ERROR: Unable to create a screen capture output window!"
#define ERROR_CAPTURE_PIXMAP \
    "ERROR: Unable to create a screen capture output pixmap!"
#define ERROR_IMLIB_RENDER \
    "ERROR: Unable to render the screen capture into a window!"

#define ERROR_SAVE \
    "ERROR: Unable to save the captured image!"

#endif /* __MAGICAPTURE_STRINGTABLE_H__ */

